[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadStr

Read a short string

## Declaration

Source position: classesh.inc line 1308

`public function TBinaryObjectReader.ReadStr: string; override;`

## Description

ReadStr reads a short string from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader